<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\Anmeldung\KursUebersicht\ShowAnmeldeDialog;

class OldShowAnmeldeDialogController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new OldShowAnmeldeDialogUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new OldShowAnmeldeDialogRequest();
    $requestObj->kursdata = \PostOperations::getVarValue('kursdata');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new OldShowAnmeldeDialogPresenter($pUseCaseResponse);
  }
}